$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.1.290-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.1.290-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'B1CC8B31E854AD0366AEDABCA801F0ED9DAF399AA068DEC1FB0A6156DFFE6754'
  checksumType = 'sha256'
  checksum64 = 'B1CC8B31E854AD0366AEDABCA801F0ED9DAF399AA068DEC1FB0A6156DFFE6754'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-20.1.290-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
